Index: utils/tar/Makefile
===================================================================
--- utils/tar/Makefile	(revision 31224)
+++ utils/tar/Makefile	(working copy)
@@ -37,13 +37,15 @@
 if [ -e $${IPKG_INSTROOT}/bin/tar ]; then
   rm -r $${IPKG_INSTROOT}/bin/tar;
 fi
-ln -sf $${IPKG_INSTROOT}/usr/bin/tar $${IPKG_INSTROOT}/bin/tar
+#&&&ln -sf $${IPKG_INSTROOT}/usr/bin/tar $${IPKG_INSTROOT}/bin/tar
+(cd $${IPKG_INSTROOT}/bin; ln -sf ../usr/bin/tar ./tar)
 endef
 
 define Package/tar/postrm
 #!/bin/sh
 rm $${IPKG_INSTROOT}/bin/tar
-ln -s busybox $${IPKG_INSTROOT}/bin/tar
+#&&&ln -s busybox $${IPKG_INSTROOT}/bin/tar
+(cd $${IPKG_INSTROOT}/bin; ln -s busybox ./tar)
 $${IPKG_INSTROOT}/bin/tar 2>&1 | grep 'applet not found' > /dev/null 2>&1 && rm $${IPKG_INSTROOT}/bin/tar
 exit 0
 endef
Index: lang/php4/files/php.ini
===================================================================
--- lang/php4/files/php.ini	(revision 31224)
+++ lang/php4/files/php.ini	(working copy)
@@ -275,6 +275,7 @@
 ; turn it off here AT YOUR OWN RISK
 ; **You CAN safely turn this off for IIS, in fact, you MUST.**
 ; cgi.force_redirect = 1
+cgi.force_redirect = 0
 
 ; if cgi.nph is enabled it will force cgi to always sent Status: 200 with
 ; every request.
Index: net/net-snmp/files/snmpd.init
===================================================================
--- net/net-snmp/files/snmpd.init	(revision 31224)
+++ net/net-snmp/files/snmpd.init	(working copy)
@@ -117,6 +117,10 @@
 
 	config_load snmpd
 
+	#hb9xar: enable AgentX interface
+	mkdir -p /var/agentx/
+	echo "master agentx" >> $RUN_C
+
 	config_foreach snmpd_agent_add agent
 	config_foreach snmpd_system_add system
 	config_foreach snmpd_com2sec_add com2sec
Index: net/net-snmp/files/snmpd.conf
===================================================================
--- net/net-snmp/files/snmpd.conf	(revision 31224)
+++ net/net-snmp/files/snmpd.conf	(working copy)
@@ -67,11 +67,12 @@
 	option notify all
 
 config system
-	option sysLocation	'office'
+	option sysLocation	'Please put 10digit locator here'
 	option sysContact	'bofh@example.com'
 	option sysName		'HeartOfGold'
 #	option sysServices	72
 #	option sysDescr		'adult playground'
+	option sysDescr		'ALIX 4 HAMNET Node'
 #	option sysObjectID	'1.2.3.4'
 
 config exec
Index: net/net-snmp/Makefile
===================================================================
--- net/net-snmp/Makefile	(revision 31224)
+++ net/net-snmp/Makefile	(working copy)
@@ -9,7 +9,7 @@
 
 PKG_NAME:=net-snmp
 PKG_VERSION:=5.4.2.1
-PKG_RELEASE:=5
+PKG_RELEASE:=5xar
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=@SF/net-snmp
@@ -126,10 +126,10 @@
 	ucd-snmp/vmstat \
 	util_funcs \
 	utilities/execute \
+	agentx \
 
 SNMP_MIB_MODULES_EXCLUDED = \
 	agent_mibs \
-	agentx \
 	disman/event \
 	disman/schedule \
 	hardware \
@@ -145,9 +145,9 @@
 	udp-mib \
 	utilities \
 
-SNMP_TRANSPORTS_INCLUDED = Callback UDP
+SNMP_TRANSPORTS_INCLUDED = Callback UDP Unix
 
-SNMP_TRANSPORTS_EXCLUDED = TCP TCPIPv6 Unix
+SNMP_TRANSPORTS_EXCLUDED = TCP TCPIPv6
 
 TARGET_CFLAGS += $(FPIC)
 
@@ -157,7 +157,7 @@
 	--enable-static \
 	--with-endianness=little \
 	--with-logfile=/var/log/snmpd.log \
-	--with-persistent-directory=/usr/lib/snmp/ \
+	--with-persistent-directory=/var/lib/snmp/ \
 	--with-default-snmp-version=1 \
 	--with-sys-contact=root@localhost \
 	--with-sys-location=Unknown \
